# Uses of Interface
javax.swing.event.MenuDragMouseListener

Packages that use MenuDragMouseListener
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of MenuDragMouseListener in javax.swing

Methods in javax.swing that return MenuDragMouseListener
Modifier and Type
Method
Description
`MenuDragMouseListener[]`
JMenuItem.`getMenuDragMouseListeners()`
Returns an array of all the `MenuDragMouseListener`s added to this JMenuItem with addMenuDragMouseListener().
Methods in javax.swing with parameters of type MenuDragMouseListener
Modifier and Type
Method
Description
`void`
JMenuItem.`addMenuDragMouseListener​(MenuDragMouseListener l)`
Adds a `MenuDragMouseListener` to the menu item.
`void`
JMenuItem.`removeMenuDragMouseListener​(MenuDragMouseListener l)`
Removes a `MenuDragMouseListener` from the menu item.

## Uses of MenuDragMouseListener in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as MenuDragMouseListener
Modifier and Type
Field
Description
`protected MenuDragMouseListener`
BasicMenuItemUI.`menuDragMouseListener`
The instance of `MenuDragMouseListener`.
Methods in javax.swing.plaf.basic that return MenuDragMouseListener
Modifier and Type
Method
Description
`protected MenuDragMouseListener`
BasicMenuItemUI.`createMenuDragMouseListener​(JComponent c)`
Returns an instance of `MenuDragMouseListener`.